package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class KelompokUmur
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "KelompokUmur_M")
public class KelompokUmurVO extends BaseMasterVO {
	@Caption(value="Kode Kelompok Umur")
	private Byte kdKelompokUmur;

	public void setKdKelompokUmur(Byte kdKelompokUmur) {
		this.kdKelompokUmur = kdKelompokUmur;
	}

	@Column(name = "KdKelompokUmur", nullable = false )
	public Byte getKdKelompokUmur(){
		return this.kdKelompokUmur;
	}

	@Caption(value="Kelompok Umur")
	private String kelompokUmur;

	public void setKelompokUmur(String kelompokUmur) {
		this.kelompokUmur = kelompokUmur;
	}

	@Column(name = "KelompokUmur", nullable = false , length = 20)
	public String getKelompokUmur(){
		return this.kelompokUmur;
	}

	@Caption(value="QKelompok Umur")
	private Byte qKelompokUmur;

	public void setqKelompokUmur(Byte qKelompokUmur) {
		this.qKelompokUmur = qKelompokUmur;
	}

	@Column(name = "QKelompokUmur", nullable = false )
	public Byte getqKelompokUmur(){
		return this.qKelompokUmur;
	}

	@Caption(value="Status Umur")
	private String statusUmur;

	public void setStatusUmur(String statusUmur) {
		this.statusUmur = statusUmur;
	}

	@Column(name = "StatusUmur", nullable = true , length = 2)
	public String getStatusUmur(){
		return this.statusUmur;
	}

	@Caption(value="Umur Max")
	private Double umurMax;

	public void setUmurMax(Double umurMax) {
		this.umurMax = umurMax;
	}

	@Column(name = "UmurMax", nullable = false )
	public Double getUmurMax(){
		return this.umurMax;
	}

	@Caption(value="Umur Min")
	private Double umurMin;

	public void setUmurMin(Double umurMin) {
		this.umurMin = umurMin;
	}

	@Column(name = "UmurMin", nullable = false )
	public Double getUmurMin(){
		return this.umurMin;
	}


}

